/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022FV01.java

*

* Created on 05/08/09 09:41:10

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ022FS01V01 extends Q02bTablaBD implements Q02bITablaBDQ022FS01V01 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q022FT00_IDUSUARIO */

    public final static int COLUMN_Q022FT00_IDUSUARIO = 1;

    /** Constante para la propiedad Q022FT00_IDUSUARIO */

    public final static String NOMCOLUMN_Q022FT00_IDUSUARIO = "Q022FT00_IDUSUARIO";

    /** Constante para la propiedad Q022FT00_IDUSUARIO */

    public final static int TAM_MAXIMO_Q022FT00_IDUSUARIO = 8;

    /** Constante para la propiedad Q022FT00_NOMBRE */

    public final static int COLUMN_Q022FT00_NOMBRE = 2;

    /** Constante para la propiedad Q022FT00_NOMBRE */

    public final static String NOMCOLUMN_Q022FT00_NOMBRE = "Q022FT00_NOMBRE";

    /** Constante para la propiedad Q022FT00_NOMBRE */

    public final static int TAM_MAXIMO_Q022FT00_NOMBRE = 50;

    /** Constante para la propiedad Q022FT00_APELLIDO1 */

    public final static int COLUMN_Q022FT00_APELLIDO1 = 3;

    /** Constante para la propiedad Q022FT00_APELLIDO1 */

    public final static String NOMCOLUMN_Q022FT00_APELLIDO1 = "Q022FT00_APELLIDO1";

    /** Constante para la propiedad Q022FT00_APELLIDO1 */

    public final static int TAM_MAXIMO_Q022FT00_APELLIDO1 = 50;

    /** Constante para la propiedad Q022FT00_APELLIDO2 */

    public final static int COLUMN_Q022FT00_APELLIDO2 = 4;

    /** Constante para la propiedad Q022FT00_APELLIDO2 */

    public final static String NOMCOLUMN_Q022FT00_APELLIDO2 = "Q022FT00_APELLIDO2";

    /** Constante para la propiedad Q022FT00_APELLIDO2 */

    public final static int TAM_MAXIMO_Q022FT00_APELLIDO2 = 50;

    /** Constante para la propiedad Q022FT00_NIF */

    public final static int COLUMN_Q022FT00_NIF = 5;

    /** Constante para la propiedad Q022FT00_NIF */

    public final static String NOMCOLUMN_Q022FT00_NIF = "Q022FT00_NIF";

    /** Constante para la propiedad Q022FT00_NIF */

    public final static int TAM_MAXIMO_Q022FT00_NIF = 9;

    /** Constante para la propiedad Q022FT00_EMAIL */

    public final static int COLUMN_Q022FT00_EMAIL = 6;

    /** Constante para la propiedad Q022FT00_EMAIL */

    public final static String NOMCOLUMN_Q022FT00_EMAIL = "Q022FT00_EMAIL";

    /** Constante para la propiedad Q022FT00_EMAIL */

    public final static int TAM_MAXIMO_Q022FT00_EMAIL = 80;

    /** Constante para la propiedad Q022FT00_PASSWORD */

    public final static int COLUMN_Q022FT00_PASSWORD = 7;

    /** Constante para la propiedad Q022FT00_PASSWORD */

    public final static String NOMCOLUMN_Q022FT00_PASSWORD = "Q022FT00_PASSWORD";

    /** Constante para la propiedad Q022FT00_PASSWORD */

    public final static int TAM_MAXIMO_Q022FT00_PASSWORD = 15;

    /** Constante para la propiedad MUN_PROV */

    public final static int COLUMN_MUN_PROV = 8;

    /** Constante para la propiedad MUN_PROV */

    public final static String NOMCOLUMN_MUN_PROV = "MUN_PROV";

    /** Constante para la propiedad MUN_PROV */

    public final static int TAM_MAXIMO_MUN_PROV = 2;

    /** Constante para la propiedad DESC_PROV */

    public final static int COLUMN_DESC_PROV = 9;

    /** Constante para la propiedad DESC_PROV */

    public final static String NOMCOLUMN_DESC_PROV = "DESC_PROV";

    /** Constante para la propiedad DESC_PROV */

    public final static int TAM_MAXIMO_DESC_PROV = 50;

    /** Constante para la propiedad MUN_MUNI */

    public final static int COLUMN_MUN_MUNI = 10;

    /** Constante para la propiedad MUN_MUNI */

    public final static String NOMCOLUMN_MUN_MUNI = "MUN_MUNI";

    /** Constante para la propiedad MUN_MUNI */

    public final static int TAM_MAXIMO_MUN_MUNI = 3;

    /** Constante para la propiedad DESC_MUNI */

    public final static int COLUMN_DESC_MUNI = 11;

    /** Constante para la propiedad DESC_MUNI */

    public final static String NOMCOLUMN_DESC_MUNI = "DESC_MUNI";

    /** Constante para la propiedad DESC_MUNI */

    public final static int TAM_MAXIMO_DESC_MUNI = 50;

    /** Constante para la propiedad Q022FT00_FECHA_ACTIVACION */

    public final static int COLUMN_Q022FT00_FECHA_ACTIVACION = 12;

    /** Constante para la propiedad Q022FT00_FECHA_ACTIVACION */

    public final static String NOMCOLUMN_Q022FT00_FECHA_ACTIVACION = "Q022FT00_FECHA_ACTIVACION";

    /** Constante para la propiedad Q022FT00_FECHA_ACTIVACION */

    public final static int TAM_MAXIMO_Q022FT00_FECHA_ACTIVACION = 7;

    /** Constante para la propiedad Q022FT00_FECHA_DESACTIVACION */

    public final static int COLUMN_Q022FT00_FECHA_DESACTIVACION = 13;

    /** Constante para la propiedad Q022FT00_FECHA_DESACTIVACION */

    public final static String NOMCOLUMN_Q022FT00_FECHA_DESACTIVACION = "Q022FT00_FECHA_DESACTIVACION";

    /** Constante para la propiedad Q022FT00_FECHA_DESACTIVACION */

    public final static int TAM_MAXIMO_Q022FT00_FECHA_DESACTIVACION = 7;

    /** Constante para la propiedad Q021AT00_CODPERFIL */

    public final static int COLUMN_Q021AT00_CODPERFIL = 14;

    /** Constante para la propiedad Q021AT00_CODPERFIL */

    public final static String NOMCOLUMN_Q021AT00_CODPERFIL = "Q021AT00_CODPERFIL";

    /** Constante para la propiedad Q021AT00_CODPERFIL */

    public final static int TAM_MAXIMO_Q021AT00_CODPERFIL = 2;

    /** Constante para la propiedad Q022FT00_NI_MULTIPLE */

    public final static int COLUMN_Q022FT00_NI_MULTIPLE = 15;

    /** Constante para la propiedad Q022FT00_NI_MULTIPLE */

    public final static String NOMCOLUMN_Q022FT00_NI_MULTIPLE = "Q022FT00_NI_MULTIPLE";

    /** Constante para la propiedad Q022FT00_NI_MULTIPLE */

    public final static int TAM_MAXIMO_Q022FT00_NI_MULTIPLE = 193;

    /** Constante para la propiedad Q022FT00_NOMBRE_COMPLETO */

    public final static int COLUMN_Q022FT00_NOMBRE_COMPLETO = 16;

    /** Constante para la propiedad Q022FT00_NOMBRE_COMPLETO */

    public final static String NOMCOLUMN_Q022FT00_NOMBRE_COMPLETO = "Q022FT00_NOMBRE_COMPLETO";

    /** Constante para la propiedad Q022FT00_NOMBRE_COMPLETO */

    public final static int TAM_MAXIMO_Q022FT00_NOMBRE_COMPLETO = 152;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 16;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q022FT00_IDUSUARIO_WHERE */

    protected Integer Q022FT00_IDUSUARIO_WHERE = null;

    protected boolean Q022FT00_IDUSUARIO_MODIF = false;

    /** Holds value of property Q022FT00_NOMBRE_WHERE */

    protected String Q022FT00_NOMBRE_WHERE = null;

    protected boolean Q022FT00_NOMBRE_MODIF = false;

    /** Holds value of property Q022FT00_APELLIDO1_WHERE */

    protected String Q022FT00_APELLIDO1_WHERE = null;

    protected boolean Q022FT00_APELLIDO1_MODIF = false;

    /** Holds value of property Q022FT00_APELLIDO2_WHERE */

    protected String Q022FT00_APELLIDO2_WHERE = null;

    protected boolean Q022FT00_APELLIDO2_MODIF = false;

    /** Holds value of property Q022FT00_NIF_WHERE */

    protected String Q022FT00_NIF_WHERE = null;

    protected boolean Q022FT00_NIF_MODIF = false;

    /** Holds value of property Q022FT00_EMAIL_WHERE */

    protected String Q022FT00_EMAIL_WHERE = null;

    protected boolean Q022FT00_EMAIL_MODIF = false;

    /** Holds value of property Q022FT00_PASSWORD_WHERE */

    protected String Q022FT00_PASSWORD_WHERE = null;

    protected boolean Q022FT00_PASSWORD_MODIF = false;

    /** Holds value of property MUN_PROV_WHERE */

    protected String MUN_PROV_WHERE = null;

    protected boolean MUN_PROV_MODIF = false;

    /** Holds value of property DESC_PROV_WHERE */

    protected String DESC_PROV_WHERE = null;

    protected boolean DESC_PROV_MODIF = false;

    /** Holds value of property MUN_MUNI_WHERE */

    protected String MUN_MUNI_WHERE = null;

    protected boolean MUN_MUNI_MODIF = false;

    /** Holds value of property DESC_MUNI_WHERE */

    protected String DESC_MUNI_WHERE = null;

    protected boolean DESC_MUNI_MODIF = false;

    /** Holds value of property Q022FT00_FECHA_ACTIVACION_WHERE */

    protected java.util.Date Q022FT00_FECHA_ACTIVACION_WHERE = null;

    protected boolean Q022FT00_FECHA_ACTIVACION_MODIF = false;

    /** Holds value of property Q022FT00_FECHA_DESACTIVACION_WHERE */

    protected java.util.Date Q022FT00_FECHA_DESACTIVACION_WHERE = null;

    protected boolean Q022FT00_FECHA_DESACTIVACION_MODIF = false;

    /** Holds value of property Q021AT00_CODPERFIL_WHERE */

    protected String Q021AT00_CODPERFIL_WHERE = null;

    protected boolean Q021AT00_CODPERFIL_MODIF = false;

    /** Holds value of property Q022FT00_NI_MULTIPLE_WHERE */

    protected String Q022FT00_NI_MULTIPLE_WHERE = null;

    protected boolean Q022FT00_NI_MULTIPLE_MODIF = false;

    /** Holds value of property Q022FT00_NOMBRE_COMPLETO_WHERE */

    protected String Q022FT00_NOMBRE_COMPLETO_WHERE = null;

    protected boolean Q022FT00_NOMBRE_COMPLETO_MODIF = false;

    /** Holds value of property auditUser. */

    protected Long  auditUser = new Long(0);

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "05/08/09 09:41:10";

    protected String columnas[] =  {"Q022FT00_IDUSUARIO", "Q022FT00_NOMBRE", "Q022FT00_APELLIDO1", "Q022FT00_APELLIDO2", "Q022FT00_NIF", "Q022FT00_EMAIL", "Q022FT00_PASSWORD", "MUN_PROV", "DESC_PROV", "MUN_MUNI", "DESC_MUNI", "Q022FT00_FECHA_ACTIVACION", "Q022FT00_FECHA_DESACTIVACION", "Q021AT00_CODPERFIL", "Q022FT00_NI_MULTIPLE", "Q022FT00_NOMBRE_COMPLETO"};

    protected int tipos[] =  {3, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 93, 93, 12, 12, 12};

    protected int longitudes[] =  {8, 50, 50, 50, 9, 80, 15, 2, 50, 3, 50, 7, 7, 2, 193, 152};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q022FT00_IDUSUARIO", "Q022FT00_NOMBRE", "Q022FT00_APELLIDO1", "Q022FT00_APELLIDO2", "Q022FT00_NIF", "Q022FT00_EMAIL", "Q022FT00_PASSWORD", "MUN_PROV", "DESC_PROV", "MUN_MUNI", "DESC_MUNI", "Q022FT00_FECHA_ACTIVACION", "Q022FT00_FECHA_DESACTIVACION", "Q021AT00_CODPERFIL", "Q022FT00_NI_MULTIPLE", "Q022FT00_NOMBRE_COMPLETO"};

    protected boolean nullables[] =  {false,false,false,true,true,true,true,true,true,true,true,true,true,false,true,true};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q022FS01V01";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ022FS01V01 iTablaBDQ022FS01V01 = null;

    /** Creates new Q022FV01 */

    public Q02bTablaBDQ022FS01V01() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q022FS01V01 */

    public Q02bTablaBDQ022FS01V01(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ022FS01V01.setQ022FT00_IDUSUARIO_WHERE(null);

        iTablaBDQ022FS01V01.setQ022FT00_IDUSUARIO_MODIF(false);

        iTablaBDQ022FS01V01.setQ022FT00_NOMBRE_WHERE(null);

        iTablaBDQ022FS01V01.setQ022FT00_NOMBRE_MODIF(false);

        iTablaBDQ022FS01V01.setQ022FT00_APELLIDO1_WHERE(null);

        iTablaBDQ022FS01V01.setQ022FT00_APELLIDO1_MODIF(false);

        iTablaBDQ022FS01V01.setQ022FT00_APELLIDO2_WHERE(null);

        iTablaBDQ022FS01V01.setQ022FT00_APELLIDO2_MODIF(false);

        iTablaBDQ022FS01V01.setQ022FT00_NIF_WHERE(null);

        iTablaBDQ022FS01V01.setQ022FT00_NIF_MODIF(false);

        iTablaBDQ022FS01V01.setQ022FT00_EMAIL_WHERE(null);

        iTablaBDQ022FS01V01.setQ022FT00_EMAIL_MODIF(false);

        iTablaBDQ022FS01V01.setQ022FT00_PASSWORD_WHERE(null);

        iTablaBDQ022FS01V01.setQ022FT00_PASSWORD_MODIF(false);

        iTablaBDQ022FS01V01.setMUN_PROV_WHERE(null);

        iTablaBDQ022FS01V01.setMUN_PROV_MODIF(false);

        iTablaBDQ022FS01V01.setDESC_PROV_WHERE(null);

        iTablaBDQ022FS01V01.setDESC_PROV_MODIF(false);

        iTablaBDQ022FS01V01.setMUN_MUNI_WHERE(null);

        iTablaBDQ022FS01V01.setMUN_MUNI_MODIF(false);

        iTablaBDQ022FS01V01.setDESC_MUNI_WHERE(null);

        iTablaBDQ022FS01V01.setDESC_MUNI_MODIF(false);

        iTablaBDQ022FS01V01.setQ022FT00_FECHA_ACTIVACION_WHERE(null);

        iTablaBDQ022FS01V01.setQ022FT00_FECHA_ACTIVACION_MODIF(false);

        iTablaBDQ022FS01V01.setQ022FT00_FECHA_DESACTIVACION_WHERE(null);

        iTablaBDQ022FS01V01.setQ022FT00_FECHA_DESACTIVACION_MODIF(false);

        iTablaBDQ022FS01V01.setQ021AT00_CODPERFIL_WHERE(null);

        iTablaBDQ022FS01V01.setQ021AT00_CODPERFIL_MODIF(false);

        iTablaBDQ022FS01V01.setQ022FT00_NI_MULTIPLE_WHERE(null);

        iTablaBDQ022FS01V01.setQ022FT00_NI_MULTIPLE_MODIF(false);

        iTablaBDQ022FS01V01.setQ022FT00_NOMBRE_COMPLETO_WHERE(null);

        iTablaBDQ022FS01V01.setQ022FT00_NOMBRE_COMPLETO_MODIF(false);

        iTablaBDQ022FS01V01.setNumMaxRegistros(0);

        iTablaBDQ022FS01V01.setNumInicio(0);

        iTablaBDQ022FS01V01.setNumFinal(0);

        iTablaBDQ022FS01V01.setOrderBy(null);

        iTablaBDQ022FS01V01.setAditionalWhere(null);

        iTablaBDQ022FS01V01.setInitialWhere(null);

        iTablaBDQ022FS01V01.setFixedWhere(null);

        iTablaBDQ022FS01V01.setDistinct(null);

        iTablaBDQ022FS01V01.setMax(null);

        columnasSelect = null;

        tableFrom = "Q022FS01V01";

        iTablaBDQ022FS01V01.setUncommittedRead(false);

        iTablaBDQ022FS01V01.setForUpdate(false);

        iTablaBDQ022FS01V01.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ022FS01V01.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ022FS01V01.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ022FS01V01.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ022FS01V01.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ022FS01V01.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ022FS01V01.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ022FS01V01.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ022FS01V01.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ022FS01V01.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ022FS01V01.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ022FS01V01.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ022FS01V01.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ022FS01V01.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ022FS01V01.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ022FS01V01.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ022FS01V01.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ022FS01V01.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ022FS01V01.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ022FS01V01.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ022FS01V01.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ022FS01V01.selectMax();

    }













    public void setQ022FT00_IDUSUARIO_WHERE(int valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_IDUSUARIO_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_IDUSUARIO_WHERE(valor);

        }

    }



    public void setQ022FT00_IDUSUARIO_WHERE(Integer valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_IDUSUARIO_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_IDUSUARIO_WHERE(valor);

        }

    }



    public void setQ022FT00_IDUSUARIO_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_IDUSUARIO_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_IDUSUARIO_MODIF(valor);

        }

    }



    public void setQ022FT00_NOMBRE_WHERE(String valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_NOMBRE_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_NOMBRE_WHERE(valor);

        }

    }



    public void setQ022FT00_NOMBRE_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_NOMBRE_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_NOMBRE_MODIF(valor);

        }

    }



    public void setQ022FT00_APELLIDO1_WHERE(String valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_APELLIDO1_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_APELLIDO1_WHERE(valor);

        }

    }



    public void setQ022FT00_APELLIDO1_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_APELLIDO1_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_APELLIDO1_MODIF(valor);

        }

    }



    public void setQ022FT00_APELLIDO2_WHERE(String valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_APELLIDO2_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_APELLIDO2_WHERE(valor);

        }

    }



    public void setQ022FT00_APELLIDO2_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_APELLIDO2_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_APELLIDO2_MODIF(valor);

        }

    }



    public void setQ022FT00_NIF_WHERE(String valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_NIF_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_NIF_WHERE(valor);

        }

    }



    public void setQ022FT00_NIF_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_NIF_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_NIF_MODIF(valor);

        }

    }



    public void setQ022FT00_EMAIL_WHERE(String valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_EMAIL_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_EMAIL_WHERE(valor);

        }

    }



    public void setQ022FT00_EMAIL_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_EMAIL_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_EMAIL_MODIF(valor);

        }

    }



    public void setQ022FT00_PASSWORD_WHERE(String valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_PASSWORD_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_PASSWORD_WHERE(valor);

        }

    }



    public void setQ022FT00_PASSWORD_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_PASSWORD_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_PASSWORD_MODIF(valor);

        }

    }



    public void setMUN_PROV_WHERE(String valor) {

        if (iTablaBDQ022FS01V01==null){

        this.MUN_PROV_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setMUN_PROV_WHERE(valor);

        }

    }



    public void setMUN_PROV_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.MUN_PROV_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setMUN_PROV_MODIF(valor);

        }

    }



    public void setDESC_PROV_WHERE(String valor) {

        if (iTablaBDQ022FS01V01==null){

        this.DESC_PROV_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setDESC_PROV_WHERE(valor);

        }

    }



    public void setDESC_PROV_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.DESC_PROV_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setDESC_PROV_MODIF(valor);

        }

    }



    public void setMUN_MUNI_WHERE(String valor) {

        if (iTablaBDQ022FS01V01==null){

        this.MUN_MUNI_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setMUN_MUNI_WHERE(valor);

        }

    }



    public void setMUN_MUNI_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.MUN_MUNI_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setMUN_MUNI_MODIF(valor);

        }

    }



    public void setDESC_MUNI_WHERE(String valor) {

        if (iTablaBDQ022FS01V01==null){

        this.DESC_MUNI_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setDESC_MUNI_WHERE(valor);

        }

    }



    public void setDESC_MUNI_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.DESC_MUNI_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setDESC_MUNI_MODIF(valor);

        }

    }



    public void setQ022FT00_FECHA_ACTIVACION_WHERE(java.util.Date valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_FECHA_ACTIVACION_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_FECHA_ACTIVACION_WHERE(valor);

        }

    }



    public void setQ022FT00_FECHA_ACTIVACION_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_FECHA_ACTIVACION_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_FECHA_ACTIVACION_MODIF(valor);

        }

    }



    public void setQ022FT00_FECHA_DESACTIVACION_WHERE(java.util.Date valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_FECHA_DESACTIVACION_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_FECHA_DESACTIVACION_WHERE(valor);

        }

    }



    public void setQ022FT00_FECHA_DESACTIVACION_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_FECHA_DESACTIVACION_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_FECHA_DESACTIVACION_MODIF(valor);

        }

    }



    public void setQ021AT00_CODPERFIL_WHERE(String valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q021AT00_CODPERFIL_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setQ021AT00_CODPERFIL_WHERE(valor);

        }

    }



    public void setQ021AT00_CODPERFIL_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q021AT00_CODPERFIL_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setQ021AT00_CODPERFIL_MODIF(valor);

        }

    }



    public void setQ022FT00_NI_MULTIPLE_WHERE(String valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_NI_MULTIPLE_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_NI_MULTIPLE_WHERE(valor);

        }

    }



    public void setQ022FT00_NI_MULTIPLE_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_NI_MULTIPLE_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_NI_MULTIPLE_MODIF(valor);

        }

    }



    public void setQ022FT00_NOMBRE_COMPLETO_WHERE(String valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_NOMBRE_COMPLETO_WHERE=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_NOMBRE_COMPLETO_WHERE(valor);

        }

    }



    public void setQ022FT00_NOMBRE_COMPLETO_MODIF(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.Q022FT00_NOMBRE_COMPLETO_MODIF=valor;

        }else{

           iTablaBDQ022FS01V01.setQ022FT00_NOMBRE_COMPLETO_MODIF(valor);

        }

    }



    /** Setter for property auditUser. 

    * @param valor New value of property auditUser.

    */

    public void  setAuditUser (long valor) {

             this.auditUser= new Long(valor);

    }



    /** Setter for property auditUser. 

    * @param valor New value of property auditUser.

    */

    public void  setAuditUser (Long valor) {

             this.auditUser= valor;

    }



    /** Getter for property Q022FT00_IDUSUARIO_WHERE.

    * @return Value of property Q022FT00_IDUSUARIO_WHERE.

    */

    public Integer getQ022FT00_IDUSUARIO_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.Q022FT00_IDUSUARIO_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getQ022FT00_IDUSUARIO_WHERE();

        }

    }



    /** Getter for property Q022FT00_NOMBRE_WHERE.

    * @return Value of property Q022FT00_NOMBRE_WHERE.

    */

    public String getQ022FT00_NOMBRE_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.Q022FT00_NOMBRE_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getQ022FT00_NOMBRE_WHERE();

        }

    }



    /** Getter for property Q022FT00_APELLIDO1_WHERE.

    * @return Value of property Q022FT00_APELLIDO1_WHERE.

    */

    public String getQ022FT00_APELLIDO1_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.Q022FT00_APELLIDO1_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getQ022FT00_APELLIDO1_WHERE();

        }

    }



    /** Getter for property Q022FT00_APELLIDO2_WHERE.

    * @return Value of property Q022FT00_APELLIDO2_WHERE.

    */

    public String getQ022FT00_APELLIDO2_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.Q022FT00_APELLIDO2_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getQ022FT00_APELLIDO2_WHERE();

        }

    }



    /** Getter for property Q022FT00_NIF_WHERE.

    * @return Value of property Q022FT00_NIF_WHERE.

    */

    public String getQ022FT00_NIF_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.Q022FT00_NIF_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getQ022FT00_NIF_WHERE();

        }

    }



    /** Getter for property Q022FT00_EMAIL_WHERE.

    * @return Value of property Q022FT00_EMAIL_WHERE.

    */

    public String getQ022FT00_EMAIL_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.Q022FT00_EMAIL_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getQ022FT00_EMAIL_WHERE();

        }

    }



    /** Getter for property Q022FT00_PASSWORD_WHERE.

    * @return Value of property Q022FT00_PASSWORD_WHERE.

    */

    public String getQ022FT00_PASSWORD_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.Q022FT00_PASSWORD_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getQ022FT00_PASSWORD_WHERE();

        }

    }



    /** Getter for property MUN_PROV_WHERE.

    * @return Value of property MUN_PROV_WHERE.

    */

    public String getMUN_PROV_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.MUN_PROV_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getMUN_PROV_WHERE();

        }

    }



    /** Getter for property DESC_PROV_WHERE.

    * @return Value of property DESC_PROV_WHERE.

    */

    public String getDESC_PROV_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.DESC_PROV_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getDESC_PROV_WHERE();

        }

    }



    /** Getter for property MUN_MUNI_WHERE.

    * @return Value of property MUN_MUNI_WHERE.

    */

    public String getMUN_MUNI_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.MUN_MUNI_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getMUN_MUNI_WHERE();

        }

    }



    /** Getter for property DESC_MUNI_WHERE.

    * @return Value of property DESC_MUNI_WHERE.

    */

    public String getDESC_MUNI_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.DESC_MUNI_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getDESC_MUNI_WHERE();

        }

    }



    /** Getter for property Q022FT00_FECHA_ACTIVACION_WHERE.

    * @return Value of property Q022FT00_FECHA_ACTIVACION_WHERE.

    */

    public java.util.Date getQ022FT00_FECHA_ACTIVACION_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.Q022FT00_FECHA_ACTIVACION_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getQ022FT00_FECHA_ACTIVACION_WHERE();

        }

    }



    /** Getter for property Q022FT00_FECHA_DESACTIVACION_WHERE.

    * @return Value of property Q022FT00_FECHA_DESACTIVACION_WHERE.

    */

    public java.util.Date getQ022FT00_FECHA_DESACTIVACION_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.Q022FT00_FECHA_DESACTIVACION_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getQ022FT00_FECHA_DESACTIVACION_WHERE();

        }

    }



    /** Getter for property Q021AT00_CODPERFIL_WHERE.

    * @return Value of property Q021AT00_CODPERFIL_WHERE.

    */

    public String getQ021AT00_CODPERFIL_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.Q021AT00_CODPERFIL_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getQ021AT00_CODPERFIL_WHERE();

        }

    }



    /** Getter for property Q022FT00_NI_MULTIPLE_WHERE.

    * @return Value of property Q022FT00_NI_MULTIPLE_WHERE.

    */

    public String getQ022FT00_NI_MULTIPLE_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.Q022FT00_NI_MULTIPLE_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getQ022FT00_NI_MULTIPLE_WHERE();

        }

    }



    /** Getter for property Q022FT00_NOMBRE_COMPLETO_WHERE.

    * @return Value of property Q022FT00_NOMBRE_COMPLETO_WHERE.

    */

    public String getQ022FT00_NOMBRE_COMPLETO_WHERE() {

        if (iTablaBDQ022FS01V01==null){

            return this.Q022FT00_NOMBRE_COMPLETO_WHERE;

        }else{

           return iTablaBDQ022FS01V01.getQ022FT00_NOMBRE_COMPLETO_WHERE();

        }

    }



    /** Getter for property auditUser.

    * @return Value of property auditUser.

    */

    public Long getAuditUser () {

        return auditUser;

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ022FS01V01==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ022FS01V01.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ022FS01V01==null){

           return sFechaClase;

        }else{

           return iTablaBDQ022FS01V01.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ022FS01V01==null){

           return this.idConexion;

        }else{

           return iTablaBDQ022FS01V01.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ022FS01V01==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ022FS01V01.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ022FS01V01==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ022FS01V01.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ022FS01V01==null){

           return this.numInicio;

        }else{

           return iTablaBDQ022FS01V01.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ022FS01V01==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ022FS01V01.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ022FS01V01==null){

           return this.numFinal;

        }else{

           return iTablaBDQ022FS01V01.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ022FS01V01==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ022FS01V01.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ022FS01V01==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ022FS01V01.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ022FS01V01==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ022FS01V01.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ022FS01V01==null){

           return this.limitRows;

        }else{

           return iTablaBDQ022FS01V01.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ022FS01V01==null){

           return this.connection;

        }else{

           return iTablaBDQ022FS01V01.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ022FS01V01==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ022FS01V01.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ022FS01V01==null){

           return this.orderBy;

        }else{

           return iTablaBDQ022FS01V01.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ022FS01V01==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ022FS01V01.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ022FS01V01==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ022FS01V01.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ022FS01V01==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ022FS01V01.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ022FS01V01==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ022FS01V01.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ022FS01V01==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ022FS01V01.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ022FS01V01==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ022FS01V01.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ022FS01V01==null){

           this.distinct = valor;

        }else{

           iTablaBDQ022FS01V01.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ022FS01V01==null){

           return this.distinct;

        }else{

           return iTablaBDQ022FS01V01.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ022FS01V01==null){

           this.max = valor;

        }else{

           iTablaBDQ022FS01V01.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ022FS01V01==null){

           return this.max;

        }else{

           return iTablaBDQ022FS01V01.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ022FS01V01==null){

           super.freeResources();

        }else{

           iTablaBDQ022FS01V01.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ022FS01V01==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ022FS01V01.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

